

parameters:
  duration: 72.0              # Duration of simulation, hours.
  cycleTime: 2                # Simulation cycle time, seconds
  reportInterval: 1           # Report interval, minutes.
  changeThreshold: 0.5        # Temperature threshold for determining if
                              # state has changed.
  tempLo: 15.0                # Base temperature setpoint.
  tempHi: 20.0                # Comfort temperature setpoint.
  tempFrost: 5.0              # Frost protection temperature setpoint.
  sensorWeight: 0.5           # Air-radiant temperature weighting for
                              # calculating "operative" temperature.
                              # 0 is pure air temperature.
                              # 1 is pure radiant temperature.
  airTemp: 5                  # Outside air temperature, °C
  groundTemp: 10              # Ground temperature, °C

programs:
  main:
    - duration: 8.0
      setpoint: tempLo
    - duration: 16.0
      setpoint: tempHi
    - duration: 8.0
      setpoint: tempLo
    - duration: 16.0
      setpoint: tempHi
    - duration: 8.0
      setpoint: tempLo
    - duration: 16.0
      setpoint: tempHi

materials:
  # This a table of the U-values of the materials used for the "slabs" that
  # separate the "spaces", listing their U-values and "area heat capacities"
  # in kJ/m².K.
  Open:
    # This is used for open doorways, etc. In theory, it should have an
    # infinite U-value, but a finite value is used as crude way of modelling
    # the finite U-value of air (which should apply throughout spaces, not just
    # at their boundaries).
    uvalue:
      inner: 20
      outer: 20
    capacity: 0
  CavityUninsulated:
    # Cavity brick wall - uninsulated.
    # Quoted U-values vary from 1.0 to 1.6 for unfilled cavity,
    # and 0.45 to 0.6 for filled cavity. Differences between unfilled and filled
    # vary from 0.4 to 1.15.
    uvalue:
      inner: 3.2
      outer: 3.2
    capacity: 20
  CavityInsulated:
    # Cavity brick wall - insulated.
    # Quoted U-values vary from 1.0 to 1.6 for unfilled cavity,
    # and 0.45 to 0.6 for filled cavity. Differences between unfilled and filled
    # vary from 0.4 to 1.15.
    uvalue:
      inner: 1.0
      outer: 1.0
    capacity: 40
  InsulatedRoof:
    # This is the sloping ceiling/roof, with expanded polystyrene slab
    # for insulation. The U-value is a guess.
    uvalue:
      inner: 3.0
      outer: 3.0
    capacity: 0
  UpperCeiling75:
    # This is the flat ceiling/loft-floor with insulation laid on top.
    # The U-value of 0.99 is assuming an insulation depth of 50-75mm (I haven't
    # actually measured this). Building regulations for new homes require a
    # minimum depth of 270mm, with a maximum U-value of 0.16.
    uvalue:
      upper: 1.0
      lower: 10
    capacity: 16
  UpperCeiling300:
    # This is the flat ceiling/loft-floor with 300mm insulation laid on top.
    uvalue:
      upper: 0.1
      lower: 100
    capacity: 16
  Block:
    # Internal block wall with 13mm plaster each side
    uvalue:
      inner: 2.4
      outer: 2.4
    capacity: 28
  Stud:
    # Internal 100mm stud wall with 12.5mm plasterboard each side
    uvalue:
      inner: 3.6
      outer: 3.6
    capacity: 16
  DoubleGlazing:
    uvalue:
      inner: 5.8
      outer: 5.8
    capacity: 7
  SingleGlazing:
    uvalue:
      inner: 10.0
      outer: 10.0
    capacity: 3
  ConcreteFloor:
    uvalue:
      upper: 1.6
      lower: 1.6
    capacity: 40
  InnerFloor:
    # Wooden floor boards over plaster ceiling
    uvalue:
      upper: 3.4
      lower: 3.4
    capacity: 12
  WoodDoor:
    uvalue:
      upper: 6.0
      lower: 6.0
    capacity: 5
  WoodPanel:
    # This is the wooden panelling used under various windows.
    uvalue:
      upper: 6.0
      lower: 6.0
    capacity: 2
  FlatRoof:
    uvalue:
      upper: 3.0
      lower: 3.0
    capacity: 16
  Roof:
    # Concrete roof tiles
    uvalue:
      upper: 4.0
      lower: 4.0
    capacity: 10

slabs:
  # These are walls, floors and ceilings.
  Floor:
    material: ConcreteFloor
    area: 20
  Ceiling:
    material: UpperCeiling300
    area: 20
  Wall1:
    material: CavityInsulated
    area: 9.6
  Wall2:
    material: CavityInsulated
    area: 12
  Wall3:
    material: CavityInsulated
    area: 9.6
  Wall4:
    material: CavityInsulated
    area: 12

rooms:
  Main:
    volume: 48
    ventilation: 22
    surfaces:
      - Ceiling.lower
      - Floor.upper
      - Wall1.inner
      - Wall2.inner
      - Wall3.inner
      - Wall4.inner

outside:
  air:
    # Initially this is hugely simplified. No distinction is made between air
    # and radiant temperatures, and all external surfaces are assumed to be at
    # the same temperature.
    temperature: airTemp
    surfaces:
      - Ceiling.upper
      - Wall1.outer
      - Wall2.outer
      - Wall3.outer
      - Wall4.outer
  ground:
    temperature: groundTemp
    surfaces:
      - Floor.lower

heaters:
  mainAir:
    maxPower: 3200
    type: air
    room: Main
    program: main

